> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Upsert Org Budget Override



## OpenAPI

````yaml /openapi/openhands-cloud.json put /api/organizations/{org_id}/budgets/overrides/{user_id}
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /api/organizations/{org_id}/budgets/overrides/{user_id}:
    put:
      tags:
        - Orgs
      summary: Upsert Org Budget Override
      operationId: >-
        upsert_org_budget_override_api_organizations__org_id__budgets_overrides__user_id__put
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Org Id
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            title: User Id
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrgBudgetUserOverrideUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgBudgetUserResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    OrgBudgetUserOverrideUpdate:
      properties:
        monthly_limit:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: 'null'
          title: Monthly Limit
        is_disabled:
          type: boolean
          title: Is Disabled
          default: false
      type: object
      title: OrgBudgetUserOverrideUpdate
    OrgBudgetUserResponse:
      properties:
        user_id:
          type: string
          title: User Id
        user_email:
          anyOf:
            - type: string
            - type: 'null'
          title: User Email
        user_name:
          anyOf:
            - type: string
            - type: 'null'
          title: User Name
        current_spend:
          type: number
          title: Current Spend
          default: 0
        monthly_limit:
          anyOf:
            - type: number
            - type: 'null'
          title: Monthly Limit
        effective_monthly_limit:
          anyOf:
            - type: number
            - type: 'null'
          title: Effective Monthly Limit
        is_disabled:
          type: boolean
          title: Is Disabled
          default: false
        is_override:
          type: boolean
          title: Is Override
          default: false
      type: object
      required:
        - user_id
      title: OrgBudgetUserResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Access-Token

````